# Rigol DP831/DP831A using DM3086 Calibration Script

This script allows calibration of a DP831/DP831A using DM3086 by python-ivi. The calibration script was based heavily on a previous script by[ Stupid Beard on the EEVBlog forums ],
 which in turn was based on a [bson on the EEVBlog forums](http://www.eevblog.com/forum/testgear/rigol-dp832-firmware-updates-and-bug-list/msg650855/#msg650855), 
 which in turn was based on a [MATLAB script by LaurentR](http://www.eevblog.com/forum/testgear/rigol-dp832-firmware-updates-and-bug-list/msg587350/#msg587350).

The SCPI calibration information came from [TooOldForThis](http://www.eevblog.com/forum/testgear/rigol-dp832-firmware-updates-and-bug-list/msg556101/#msg556101) and [ted572](http://www.eevblog.com/forum/testgear/rigol-dp832-firmware-updates-and-bug-list/msg558318/#msg558318).

Made all the changes to the calibration tables that are different from DP832..


## Requirements

* [python-ivi](https://github.com/python-ivi/python-ivi)
* [python-vxi11] (https://github.com/python-ivi/python-vxi11) for TCP/IP support
* [numpy-1.11.1] (used prebuilt windows 64bit version)
* A Rigol DP831/DP831A Power Supply
* A RIGOL DM3086 6.5 Digit Multimeter



Tested using Python 3.5.2 on WIN 7/64bit and has not been tested on other platforms.
Used windows only sound lib.. on other platforms should be changed to some other method of creating sound....

## Using it

See the comments at the top of calibrate.py and change the settings as appropriate, then run the script.

I recommend doing Manual Cal/ Calibrate ADC Board before calibration cycle on that channel .. It made for more accurate cal for me.
Also I recomend doing on channel at a time.. 

Make sure to pay attention when calibrating CH3... When measuring voltage values are negative and sent as calibration info as negative..
But DP831/DP831A expects current calibration values to be positive ... so make sure to reverse measurement leads only for CH3 CURRENT measurements

CH1 Voltage RED--RED / BLACK--BLACK
CH1 Current RED--RED / BLACK--BLACK

CH2 Voltage RED--RED / BLACK--BLACK
CH2 Current RED--RED / BLACK--BLACK

CH3 Voltage RED--RED / BLACK--BLACK
CH3 Current RED--BLACK / BLACK--RED


## Quick note on current ranges

Rigol DM3068 has 10A current input.. No manual entry needed.. Too lazy to take it out from the code...